<?php
/**
 * The Front Page template file.
 *
 * @package TOURIMO
 * @since TOURIMO 1.0.31
 */

get_header();

// If front-page is a static page
if ( get_option( 'show_on_front' ) == 'page' ) {

	// If Front Page Builder is enabled - display sections
	if ( tourimo_is_on( tourimo_get_theme_option( 'front_page_enabled' ) ) ) {

		if ( have_posts() ) {
			the_post();
		}

		$tourimo_sections = tourimo_array_get_keys_by_value( tourimo_get_theme_option( 'front_page_sections' ) );
		if ( is_array( $tourimo_sections ) ) {
			foreach ( $tourimo_sections as $tourimo_section ) {
				get_template_part( apply_filters( 'tourimo_filter_get_template_part', 'front-page/section', $tourimo_section ), $tourimo_section );
			}
		}

		// Else if this page is blog archive
	} elseif ( is_page_template( 'blog.php' ) ) {
		get_template_part( apply_filters( 'tourimo_filter_get_template_part', 'blog' ) );

		// Else - display native page content
	} else {
		get_template_part( apply_filters( 'tourimo_filter_get_template_part', 'page' ) );
	}

	// Else get index template to show posts
} else {
	get_template_part( apply_filters( 'tourimo_filter_get_template_part', 'index' ) );
}

get_footer();
